Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.xmlpad
Class XMLPadProperties

    java.lang.Object
      |
      +--com.japisoft.xmlpad.XMLPadProperties

public class XMLPadProperties
extends java.lang.Object

Manager for component property. Properties are stored in a 'xmlpad.properties' file. This file is loaded from the current classpath.

This file contains as sample :

`

     factory=com.japisoft.xmlpad.ComponentFactory
     look=com.japisoft.xmlpad.look.MozillaLook
     tree=true
     location=true
     fontname=Dialog
     fontsize=12

`

Version:
  1.1
Author:
  Alexandre Brillant (abrillant@wanadoo.fr)

Constructor Summary
`XMLPadProperties()`

Method Summary
`static java.util.Enumeration` | `getProperties()`
`static java.lang.String` | `getProperty(java.lang.String name, java.lang.String def)`
`static void` | `setProperty(java.lang.String name, java.lang.String value)` Reset a property by this one
`static void` | `setPropertyContent(java.util.Properties p)` Here a way for overriding the default Properties content

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLPadProperties

    public XMLPadProperties()

Method Detail

### getProperty

    public static java.lang.String getProperty(java.lang.String name,
                                               java.lang.String def)

  Returns:
    a XMLPad property value

### setProperty

    public static void setProperty(java.lang.String name,
                                   java.lang.String value)

  Reset a property by this one

### setPropertyContent

    public static void setPropertyContent(java.util.Properties p)

  Here a way for overriding the default Properties content

### getProperties

    public static java.util.Enumeration getProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD